# Contributing

Thanks for your interest in contributing to Pivotal's Open Source projects!

This project is maintained by the RabbitMQ for VMware Tanzu [VMs] team.

**At the moment, the team is not actively reviewing contributions to this project.**

We will aim to review or close existing pull requests and issues as of August 2017 as soon as we are able.
We do not have an expected turnaround timeframe for new PRs or issues.

If you are a VMware Tanzu customer, please do not use this repository to flag issues. Please use normal customer support channels.

## Legal

The following guidelines apply to all contributions:

- Contributors must sign the [Pivotal Contributor License Agreement](https://cla.pivotal.io/sign/pivotal)
- Agree to terms of the [Cloud Foundry Code of Conduct](https://www.cloudfoundry.org/code-of-conduct/)

## General Code Contribution Guidelines

VMware Tanzu Open-Source projects prefer that contributions contain:

- Descriptive and understandable tests
- Helpful [commit messages](http://tbaggery.com/2008/04/19/a-note-about-git-commit-messages.html)
- Small improvements that leave the code base better than it was before, aka the [Boy Scout
  Rule](http://programmer.97things.oreilly.com/wiki/index.php/The_Boy_Scout_Rule)
